import React from "react";
import { connect } from "react-redux";
import { developer } from "../../redux/actions";

// components
import Graphic from "./layouts/Graphic";
import Features from "./layouts/Features";
import Panel from "./layouts/Panel";
import Gradient from "./layouts/Gradient";
import Samples from "./layouts/Samples";
import CrossPlatform from "./layouts/CrossPlatform";
import Form from "./layouts/Form";
import Footer from "../../components/Footer";

export const Home = ({ device, setHeaderOptions, isDesktop }) => {
  React.useEffect(() => {
    if (isDesktop) {
      setHeaderOptions({ shown: true });
    }
  }, []);
  return (
    <main className="flex-1 flex flex-col items-center">
      <Graphic />
      <Features />
      <Panel />
      <Gradient />
      <Samples />
      <CrossPlatform />
      <Form />
      <Footer />
    </main>
  );
};

const mapStateToProps = (state) => ({
  isDesktop: state.developer.device === "desktop",
});

const mapDispatchToProps = {
  setHeaderOptions: developer.setHeaderOptions,
};

export default connect(mapStateToProps, mapDispatchToProps)(Home);
