module.exports = {
  content: ["./src/**/*.{js,jsx,ts,tsx}"],
  darkMode: "class", // or 'media' or 'class'
  theme: {
    fontSize: {
      "1x": "clamp(11px, 1.05vw, 20px)",
      "2x": "clamp(15px, 1.40vw , 26px)",
      "3x": "",
      "4x": "clamp(18px, 2.127vw, 40px)",
      "5x": "clamp(18px, 2.42vw, 46px)",
      "6x": "",
      "7x": "",
      "8x": "",
      "9x": "",
      "10x": "clamp(46px, 5.26vw, 100px)",
    },
    backgroundColor: (theme) => ({
      ...theme("colors"),
      "primary-1": "#2C2D2D",
      "primary-2": "#454B4F",
      "primary-3": "#2A6DA0",
      "primary-4": "#0A7066",
      "primary-5": "#219489",
      "primary-6": "#3189CD",
      "primary-7": "#939BF9",
      "secondary-1": "#B0DF2D",
      "secondary-2": "#D84D4D",
      "secondary-3": "#FCE256",
      "secondary-4": "#05335F",
      "secondary-5": "#4DD8BC",
      "secondary-6": "#23BC1E",
      "secondary-7": "#426AEE",
      "secondary-8": "#292841",
      "secondary-9": "#F5F6FF",
      "dark-1": "#2F8BD2",
      "dark-2": "#CFCFCF",
      "dark-3": "#000517",
      "dark-4": "#000F0D",
    }),
    textColor: (theme) => ({
      ...theme("colors"),
      "primary-1": "#2C2D2D",
      "primary-2": "#454B4F",
      "primary-3": "#2A6DA0",
      "primary-4": "#0A7066",
      "primary-5": "#219489",
      "primary-6": "#3189CD",
      "primary-7": "#939BF9",
      "secondary-1": "#B0DF2D",
      "secondary-2": "#D84D4D",
      "secondary-3": "#FCE256",
      "secondary-4": "#05335F",
      "secondary-5": "#4DD8BC",
      "secondary-6": "#23BC1E",
      "secondary-7": "#426AEE",
      "secondary-8": "#292841",
      "secondary-9": "#F5F6FF",
      gradient: "null",
      "dark-1": "#2F8BD2",
      "dark-2": "#CFCFCF",
      "dark-3": "#000517",
      "dark-4": "#000F0D",
    }),
    borderColor: (theme) => ({
      ...theme("colors"),
      "primary-1": "#2C2D2D",
      "primary-2": "#454B4F",
      "primary-3": "#2A6DA0",
      "primary-4": "#0A7066",
      "primary-5": "#219489",
      "primary-6": "#3189CD",
      "primary-7": "#939BF9",
      "secondary-1": "#B0DF2D",
      "secondary-2": "#D84D4D",
      "secondary-3": "#FCE256",
      "secondary-4": "#05335F",
      "secondary-5": "#4DD8BC",
      "secondary-6": "#23BC1E",
      "secondary-7": "#426AEE",
      "secondary-8": "#292841",
      "secondary-9": "#F5F6FF",
      gradient: "null",
      "dark-1": "#2F8BD2",
      "dark-2": "#CFCFCF",
      "dark-3": "#000517",
      "dark-4": "#000F0D",
    }),
    extend: {},
  },
  plugins: [],
};
